Package org.astrogrid.samp.hub

# Interface ProfileToken

All Known Subinterfaces:
  `ConfigHubProfile`, `HubProfile`

All Known Implementing Classes:
  `StandardHubProfile`, `WebHubProfile`

public interface ProfileToken
Marker interface that identifies a hub profile. Objects implementing this interface can be identified as the provider of a connection to the hub.

Since:
  20 Jul 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`MessageRestriction`
`getMessageRestriction()`
Returns a MessageRestriction object which controls what messages may be sent by clients registering under ths profile.
`String`
`getProfileName()`
Returns the name by which this token is to be identified.

## Method Details

### getProfileName

String getProfileName()
Returns the name by which this token is to be identified.

Returns:
  profile identifier, usually one word

### getMessageRestriction

MessageRestriction getMessageRestriction()
Returns a MessageRestriction object which controls what messages may be sent by clients registering under ths profile. If null is returned, any messages may be sent.

Returns:
  message restriction, or null